﻿@{
    ViewData["Title"] = "PPDB Verifikasi Biaya Pendidikan";
}
<section class="section">
    <div class="section-header">
        <h1>Verifikasi Biaya Pendidikan</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">Ppdb</a></div>
            <div class="breadcrumb-item active"><a href="#">Verifikasi Biaya Pendidikan</a></div>
        </div>
    </div>

    <div class="section-body" id="no-data">
        <div id="loading-data" style="text-align:center;">
            <div style="margin-top:150px;">
                <i class="fa fa-spinner fa-spin fa-4x"></i>
            </div>
        </div>
        <div id="empty-data" style="text-align:center;display:none;">
            <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
            <div style="margin-top:-1px">
                Ups! Sepertinya tidak ada data, silahkan tambah baru <br /><br />
                @*<button type="button" class="btn btn-primary btn-flat" onclick="DataEditor();"><i class="fa fa-plus"></i> Tambah Baru</button>*@
            </div>
        </div>
    </div>
    <div class="section-body" id="data" style="display:none;">
        <div class="card" id="ListData">
            <div class="card-header form-row">
                <h4 class="col-md-6">List Data</h4>
                @*<div class="col-md-6 text-right">
                        <button type="button" class="btn btn-primary btn-flat" onclick="DataEditor();"><i class="fa fa-plus"></i> Tambah Data</button>
                    </div>*@
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelData" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>Status</th>
                                <th>No. Pendaftaran</th>
                                <th>Jenjang Pendidikan</th>
                                <th>Jenis Daftar</th>
                                <th>Jalur Daftar</th>
                                <th>Kategori Daftar</th>
                                <th>Kelas</th>
                                <th>Nama Calon Siswa</th>
                                <th>Tanggal Lahir</th>
                                <th>Nama Ibu</th>
                                <th>No HP Ortu</th>
                                <th>Tanggal Daftar</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>Status</th>
                                <th>No. Pendaftaran</th>
                                <th>Jenjang Pendidikan</th>
                                <th>Jenis Daftar</th>
                                <th>Jalur Daftar</th>
                                <th>Kategori Daftar</th>
                                <th>Kelas</th>
                                <th>Nama Calon Siswa</th>
                                <th>Tanggal Lahir</th>
                                <th>Nama Ibu</th>
                                <th>No HP Ortu</th>
                                <th>Tanggal Daftar</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>

        <div class="col-md-8 card" id="EditorForm" style="display:none;margin:0px auto">
            <div class="card-header form-row">
                <h4 class="col-4">Editor Form</h4>
                <div class="col-8 text-right">
                    <button type="button" class="btn btn-danger btn-flat" onclick="DataProsesModal('tidaklunas');"><i class="fa fa-times"></i> Tidak Bayar</button>
                    <button type="button" class="btn btn-warning btn-flat" onclick="DataProsesModal('cicil');"><i class="fa fa-clock-o"></i> Cicil</button>
                    <button type="button" class="btn btn-success btn-flat" onclick="DataProsesModal('lunas');"><i class="fa fa-check"></i> Lunas</button>
                </div>
            </div>
            <div class="card-body">
                @* <form id="FormEditor" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Nomor Pendaftaran</label>
                        <div class="col-sm-8">
                            <input type="text" id="IdPpdbDaftar" name="IdPpdbDaftar" class="form-control" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Jenis Kategori</label>
                        <div class="col-sm-8">
                            <select class="form-control" name="IdJenisKategoriPendaftaran" data-input="wajib" disabled>
                                <option value="">Select One</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" id="divIdUnit">
                        <label class="col-sm-4 col-form-label">Jenjang Pendidikan</label>
                        <div class="col-sm-8">
                            <select class="form-control" id="IdUnit" name="IdUnit" data-input="wajib" disabled>
                                <option value="">Select One</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" id="divIdKelas">
                        <label class="col-sm-4 col-form-label">Kelas</label>
                        <div class="col-sm-8">
                            <select class="form-control" id="IdKelas" name="IdKelas" data-input="wajib" disabled>
                                <option value="">Select One</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" id="divIdJenisPendaftaran">
                        <label class="col-sm-4 col-form-label">Jenis Daftar</label>
                        <div class="col-sm-8">
                            <select class="form-control" name="IdJenisPendaftaran" data-input="wajib" disabled>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" id="divIdJalurPendaftaran">
                        <label class="col-sm-4 col-form-label">Jalur Daftar</label>
                        <div class="col-sm-8">
                            <select class="form-control" id="IdJalurPendaftaran" name="IdJalurPendaftaran" data-input="wajib" disabled>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Nisn</label>
                        <div class="col-sm-8">
                            <input id="NikSiswa" type="number" name="Nisn" class="form-control" placeholder="Ketik Nisn Calon Peserta Didik..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">NIK Siswa</label>
                        <div class="col-sm-8">
                            <input id="NikSiswa" type="number" name="NikSiswa" class="form-control" placeholder="Ketik NIK Calon Peserta Didik..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Nama Siswa</label>
                        <div class="col-sm-8">
                            <input id="Nama" type="text" name="Nama" class="form-control" placeholder="Ketik Nama Calon Peserta Didik..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Nama Ibu</label>
                        <div class="col-sm-8">
                            <input id="NamaIbu" type="text" name="NamaIbu" class="form-control" placeholder="Ketik Nama Ibu..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">No Handphone</label>
                        <div class="col-sm-8">
                            <input id="NoHandphoneOrtu" type="number" name="NoHandphoneOrtu" class="form-control" placeholder="Ketik No Handphone..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Alamat E-Mail</label>
                        <div class="col-sm-8">
                            <input id="EmailOrtu" type="email" name="EmailOrtu" class="form-control" placeholder="Ketik Alamat E-Mail..." data-input="wajib" readonly />
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="form-row">
                            <div class="col-sm-12"><button type="button" onclick="Kembali();" class="btn btn-danger btn-block"><i class="fa fa-arrow-alt-circle-left"></i> Kembali</button></div>
                        </div>
                    </div>
                </form> *@
                @Html.Partial("./GetById")
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="ModalProses" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Proses</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="FormCicil">
                    <div id="secFormCicil" style="display:none;">
                        <input type="hidden" class="form-control" name="CilKe[]" value="1">
                        <div class="form-row">
                            <div class="form-group col-md-6">
                                <label for="">Cicilan Ke 1</label>
                                <input type="number" class="form-control" name="RpCilKe[]" placeholder="Ketikan Jumlah...">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="">Tanggal</label>
                                <input type="text" class="form-control" id="TanggalCilKe" data-toggle="datepicker" name="TanggalCilKe[]" placeholder="dd/mm/yyyy" readonly="">
                            </div>
                        </div>
                        <div id="htmlformCicil"></div>
                        <a href="#" id="aCreateForm" onclick="CreateFormCicils()"><i class="fa fa-plus"></i> Tambah Cicilan</a> @*<span id="hapusForm"></span>*@
                        <hr />
                        <div class="form-group">
                            <label for="">File Perjanjian</label>
                            <input type="file" id="FilePerjanjian" name="FilePerjanjian" onchange="ValidateFile('FilePerjanjian')" class="form-control" />
                            <small>Ekstensi wajib .PDF</small>
                        </div>
                        <hr />
                    </div>
                    <div class="alert alert-danger alert-has-icon" id="alertTidakBayar">
                        <div class="alert-icon"><i class="fa fa-exclamation-triangle"></i></div>
                        <div class="alert-body">
                            <div class="alert-title">Peringatan</div>
                            Status calon siswa/siswi akan berubah menjadi <u>Undur Diri</u>.
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="">Catatan</label>
                        <textarea id="Catatan" name="Catatan" class="form-control" rows="3" style="height:auto" placeholder="">-</textarea>
                    </div>
                </form>
                
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button>
                <button type="button" class="btn btn-primary" id="BtnProses">Simpan</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalKembalikan" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="">Kembalikan Berkas</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="FormKembalikan" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;" for="id_pendaftaran">No. Pendaftaran:</label>
                        <div class="col-sm-7">
                            <input type="text" name="IdPpdbDaftar" class="form-control" id="IdPpdbDaftar" placeholder="ID" readonly="">
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;" for="id_pendaftaran">Nama Calon Siswa:</label>
                        <div class="col-sm-7">
                            <input type="text" name="NamaCalonSiswa" class="form-control" id="NamaCalonSiswa" placeholder="Nama Calon Siswa" readonly="">
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;" for="proses_saat_ini">Proses Saat Ini:</label>
                        <div class="col-sm-7">
                            <input type="text" name="NamaProses" class="form-control" id="NamaProses" readonly="">
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;" for="email">Alamat E-Mail:</label>
                        <div class="col-sm-7">
                            <input type="email" name="Email" class="form-control" id="Email" placeholder="Ketikkan Alamat E-Mail" readonly="">
                        </div>
                    </div>
                    <hr>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;" for="">Kembalikan Ke:</label>
                        <div class="col-sm-7">
                            <select class="form-control" name="IdProses" id="IdProses">
                                <option value="">- Pilih Salah Satu -</option>
                                <option value="1">Registrasi</option>
                                <option value="2">Aktivasi VA</option>
                                <option value="3">Verifikasi Biaya Pendaftaran</option>
                                <option value="4">Input Observasi</option>
                                @* <option value="6">Verifikasi Biaya Pendidikan</option>
                                <option value="7">Pengesahan</option>
                                <option value="-1">Pengunduran Diri</option>
                                <option value="-2">Daftar Tunggu</option> *@
                            </select>
                        </div>
                    </div>
                </form>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button>
                <button type="button" class="btn btn-primary" onclick="DataKembalikan()">Kembalikan</button>
            </div>
        </div>
    </div>
</div>